task mixcr{
    String sample_id
    File fastq1
    File fastq2
	
    String docker
    String cluster
    String disk_size

    command <<<
	
        set -o pipefail
        set -e

        mkdir  ${sample_id}_mixcr_output
        mixcr analyze shotgun --species hs \
            -t 16 \
            --starting-material rna \
            --only-productive ${fastq1} ${fastq2} ${sample_id}_mixcr_output/${sample_id}

    >>>
	
    runtime {
        docker : docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        Array[File] mixcr_result=glob("${sample_id}_mixcr_output/${sample_id}*")
    }

}


